<?php

namespace App\Wrangler\Components;

use Illuminate\Http\Request;
use Medialight\Textstem\Models\Asset;
use Medialight\Textstem\Models\WranglerPage;
use Medialight\Textstem\Wrangler\ActiveComponent;

class ImageCollection extends ActiveComponent
{
    public $config;

    public $editSetup = [
        [
            'name' => 'title',
            'controltype' => 'text',
            'value' => '',
            'label' => 'Title',
            'instructions' => 'Optional title. Note - this text will be escaped. To enter raw HTML, use the HTML block.',
        ],
        [
            'name' => 'images',
            'controltype' => 'image_collection',
            'value' => [],
            'casts' => 'array',
            'label' => 'Images',

        ],
        [
            'name' => 'template',
            'controltype' => 'select-template',
            'value' => 'default',
        ],
    ];

    public function __construct($config)
    {

        parent::__construct($config);

        // setup the images referenced in the data attribute:
        $images = $this->config['data']['images'] ?? [];
        if (! is_array($images)) {
            $images = json_decode($images, true);
        }
        $assets = Asset::whereIn('path', $images)->get();
        // sort the assets in the order they appear in the images array
        $this->config['assets'] = $assets->sortBy(function ($model) use ($images) {
            return array_search($model->path, $images);
        });

    }

    //    public function __construct($config){
    //        if (!is_array($config))
    //        {
    //            $config = $config->toArray();
    //        }
    //        if (!is_array($config['data']))
    //        {
    //            $config['data'] = json_decode($config['data'],true);
    //        }
    //        $this->config = $config;
    //
    //        foreach($this->editSetup as $k=> &$setup){
    //            if (isset($config[$k]))
    //            {
    //                $setup['value'] = $config[$k];
    //            } else {
    //                if (isset($config['data'][$k]))
    //                {
    //                    $setup['value'] = $config['data'][$k];
    //                }
    //            }
    //        }
    //
    //        $images = $this->config['data']['images'] ?? [];
    //        if (!is_array($images))
    //        {
    //            $images = json_decode($images, true);
    //        }
    //        $assets = Asset::whereIn('path', $images)->get();
    //        $this->config['assets'] = $assets->sortBy(function($model) use ($images){
    //            return array_search($model->path, $images);
    //        });
    //
    ////        $sorted = [];
    ////        foreach ($images as $imagePath)
    ////        {
    ////            foreach($assets as $asset)
    ////            {
    ////                if ($asset->path == $imagePath)
    ////                {
    ////                    $sorted[] = $asset;
    ////                    break;
    ////                }
    ////            }
    ////        }
    //
    //        //dd(  $this->config['assets'] , $sorted);
    //      }

    public function render(Request $request, WranglerPage $wranglerPage)
    {
        $view = $this->getView();

        return view($view, $this->config)->render();
    }

    public function preview()
    {
        $view = 'wrangler.components.image-collection.preview';
        return view($view, $this->config)->render();

    }
}
